gravure texte

Voir le sujet précédent Voir le sujet suivant Aller en bas

gravure texte

Message par Docserta le Jeu 4 Mai 2017 - 7:49

Bonjour,

je souhaite transformer des textes en éléments géométriques afin de les intégrer dans un sketcher et créer une gravure sur un part.
J'utilise la macro proposé sur le forum COE : http://www.coe.org/p/fo/et/thread=24653

je crée le texte dans un drawing que j'exporte en ig2 puis je ré-ouvre ce fichier pour copier les éléments dans un sketcher du part.

Code:
' save document as .ig2 file
DrwDoc.ExportData "C:\tmp\drawing1.ig2", "ig2"
DrwDoc.Close

' open .ig2 document
Dim Ig2Doc As Document
Set Ig2Doc = CATIA.Documents.Open("C:\tmp\drawing1.ig2")

cela marche... mais une fois Shocked .
Dés que je relance la macro, j’obtiens le message suivant.
"Methode 'GetItem' of object 'Document' failed.

au niveau de la ligne.
Code:
Ig2Doc.SaveAs "c:\temp\ig2doc.CATDrawing"

Il me faut fermer catia pour relancer la macro.
quelqu'un a t'il rencontré ce problème.

Cordialement
avatar
Docserta
actif
actif

Messages : 41
Date d'inscription : 10/11/2011
Localisation : Rennes

Revenir en haut Aller en bas

Re: gravure texte

Message par d.vincent567 le Jeu 4 Mai 2017 - 18:45

est ce normal que dans la première partie du code le fichier à l'extension .ig2 (drawing1.ig2) et dans la seconde partie le fichier à l'extension .CATDrawing (ig2doc.CATDrawing)?
avatar
d.vincent567
actif
actif

Messages : 56
Date d'inscription : 06/11/2016
Localisation : Brest

Revenir en haut Aller en bas

Re: gravure texte

Message par Docserta le Jeu 4 Mai 2017 - 18:58

oups, il manque une ligne dans la première partie du code.
Code:
Ig2Doc.SaveAs "c:\temp\ig2doc.CATDrawing"

apres avoir ouvert le fichier IG2, je le sauvegarde en Catdrawing.

cela me permet d'accéder à la collection des éléments géométriques
Code:
 
    Set Ig2Draw = mDocs.Read("c:\temp\ig2doc.CATDrawing")
    Set IG2sheet = Ig2Draw.Sheets.Item(1)
    Set Ig2View = IG2sheet.Views.Item(3)
    Set Coll_GeomElems = Ig2View.GeometricElements
    
    Set Ig2Selection = CATIA.ActiveDocument.Selection
    Ig2Selection.Clear
    
    For Each GeomElem In Coll_GeomElems
        Ig2Selection.Add GeomElem
    Next
avatar
Docserta
actif
actif

Messages : 41
Date d'inscription : 10/11/2011
Localisation : Rennes

Revenir en haut Aller en bas

Re: gravure texte

Message par eyefighter le Mar 6 Juin 2017 - 22:52

a tu fermé le document à la fin de ta macro ?
Code:
Ig2Doc.Close
car si il déjà ouver et que tu demande de sauvgardé par dessu, sa ne marchera pas.

tu peut aussi le suprimer :
Code:
Kill "C:\tmp\drawing1.ig2"
(si je ne me troupe pas)

eyefighter
timide
timide

Messages : 10
Date d'inscription : 06/06/2017
Localisation : paris

Revenir en haut Aller en bas

Re: gravure texte

Message par Contenu sponsorisé


Contenu sponsorisé


Revenir en haut Aller en bas

Voir le sujet précédent Voir le sujet suivant Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum